petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMNetworkGetSupportingEdges

Return the supporting edges for this vertex point

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetSupportingEdges(DM dm,PetscInt vertex,PetscInt *nedges,const PetscInt *edges[])

Not Collective

### Input Parameters

| dm | - The DMNetwork object
| p | - the vertex point

### Output Parameters

| nedges | - number of edges connected to this vertex point
| edges | - List of edge points

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

### See Also

DMNetworkCreate, DMNetworkGetConnectedVertices

### Level

beginner

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages